# Tarfile created using git
# git clone git://gitorious.org/fvkbd/fvkbd.git
# git archive --format=tar --prefix=fvkbd-%{version}/ %{git_version} | bzip2 > %{name}-%{version}.tar.bz2
%define git_version 348b3a9
%define tarfile %{name}-%{version}.tar.bz2

Name:          fvkbd
Version:       0.2.2
Release:       1%{?dist}
Summary:       Free Virtual Keyboard

Group:         System Environment/Libraries
License:       LGPLv2
URL:           http://gitorious.org/fvkbd/pages/Home
# vc           http://gitorious.org/fvkbd/fvkbd/commits/master
Source0:       %{tarfile}
Patch0:        fvkbd-fixdesktop.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-devel
BuildRequires: gtk2-devel
BuildRequires: libfakekey-devel
BuildRequires: libxml2-devel
BuildRequires: libXtst-devel
BuildRequires: unique-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gettext

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

%description
A free virtual keyboard for use in Moblin Internet Devices from Phones to MIDs.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .fixdesktop.patch

# run autogen.sh until we have a proper release, but don't run configure twice.
sed -i '/configure/d' autogen.sh
./autogen.sh

%build
%configure --disable-static --enable-gtkdoc
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

desktop-file-validate %{buildroot}/%{_datadir}/applications/fvkbd-gtk.desktop

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_bindir}/fvkbd-gtk
%{_libdir}/libfvkbd-0.2.so.*
%{_libdir}/libfvkbd-gtk-0.2.so.*
%{_datadir}/applications/fvkbd-gtk.desktop
%{_datadir}/pixmaps/fvkbd-gtk.png
%{_datadir}/fvkbd/

%files devel
%defattr(-,root,root,-)
%{_libdir}/libfvkbd-0.2.so
%{_libdir}/libfvkbd-gtk-0.2.so

%changelog
* Sun Jul 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.2-1
- Update to new 0.2.2 upstream release

* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.6-4
- Add patch to fix crash on x86_64 platforms

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-3
- Rebuild

* Sun Nov 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-2
- Package review updates

* Sun Nov  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-1
- Initial packaging
